package com.chinaitop.depot.risk.service;

import org.springframework.http.ResponseEntity;

import com.chinaitop.depot.risk.response.LawRegulationsResponse;

public interface LawsRegulationsInfoBaseService {

	/**
	 * 获取市平台法律规则信息库
	 * @param pageNum
	 * @param pageSize
	 * @return
	 * @throws Exception
	 */
	public LawRegulationsResponse<?> getSptFlgzxxkData(Integer pageNum, Integer pageSize) throws Exception;

	/**
	 * 下载法律规则信息库的文件
	 * @param fileId
	 * @return
	 * @throws Exception
	 */
	public ResponseEntity<byte[]> downlaodFile(String fileId) throws Exception;
}
